// package: bet.beteran.c2se.identity
// file: c2se/identity.proto

import * as jspb from 'google-protobuf';
import * as protobuf_rpc_pb from '../protobuf/rpc_pb';

export class CheckUsernameForDuplicationRequest extends jspb.Message {
  getUsername(): string;
  setUsername(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(
    includeInstance?: boolean
  ): CheckUsernameForDuplicationRequest.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: CheckUsernameForDuplicationRequest
  ): CheckUsernameForDuplicationRequest.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: CheckUsernameForDuplicationRequest,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(
    bytes: Uint8Array
  ): CheckUsernameForDuplicationRequest;
  static deserializeBinaryFromReader(
    message: CheckUsernameForDuplicationRequest,
    reader: jspb.BinaryReader
  ): CheckUsernameForDuplicationRequest;
}

export namespace CheckUsernameForDuplicationRequest {
  export type AsObject = {
    username: string;
  };
}

export class CheckUsernameForDuplicationResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): CheckUsernameForDuplicationResponse.Result | undefined;
  setResult(value?: CheckUsernameForDuplicationResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(
    includeInstance?: boolean
  ): CheckUsernameForDuplicationResponse.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: CheckUsernameForDuplicationResponse
  ): CheckUsernameForDuplicationResponse.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: CheckUsernameForDuplicationResponse,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(
    bytes: Uint8Array
  ): CheckUsernameForDuplicationResponse;
  static deserializeBinaryFromReader(
    message: CheckUsernameForDuplicationResponse,
    reader: jspb.BinaryReader
  ): CheckUsernameForDuplicationResponse;
}

export namespace CheckUsernameForDuplicationResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject;
    result?: CheckUsernameForDuplicationResponse.Result.AsObject;
  };

  export class Result extends jspb.Message {
    getDuplicated(): boolean;
    setDuplicated(value: boolean): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Result,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(
      message: Result,
      reader: jspb.BinaryReader
    ): Result;
  }

  export namespace Result {
    export type AsObject = {
      duplicated: boolean;
    };
  }
}

export class CheckNicknameForDuplicationRequest extends jspb.Message {
  getNickname(): string;
  setNickname(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(
    includeInstance?: boolean
  ): CheckNicknameForDuplicationRequest.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: CheckNicknameForDuplicationRequest
  ): CheckNicknameForDuplicationRequest.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: CheckNicknameForDuplicationRequest,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(
    bytes: Uint8Array
  ): CheckNicknameForDuplicationRequest;
  static deserializeBinaryFromReader(
    message: CheckNicknameForDuplicationRequest,
    reader: jspb.BinaryReader
  ): CheckNicknameForDuplicationRequest;
}

export namespace CheckNicknameForDuplicationRequest {
  export type AsObject = {
    nickname: string;
  };
}

export class CheckNicknameForDuplicationResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): CheckNicknameForDuplicationResponse.Result | undefined;
  setResult(value?: CheckNicknameForDuplicationResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(
    includeInstance?: boolean
  ): CheckNicknameForDuplicationResponse.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: CheckNicknameForDuplicationResponse
  ): CheckNicknameForDuplicationResponse.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: CheckNicknameForDuplicationResponse,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(
    bytes: Uint8Array
  ): CheckNicknameForDuplicationResponse;
  static deserializeBinaryFromReader(
    message: CheckNicknameForDuplicationResponse,
    reader: jspb.BinaryReader
  ): CheckNicknameForDuplicationResponse;
}

export namespace CheckNicknameForDuplicationResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject;
    result?: CheckNicknameForDuplicationResponse.Result.AsObject;
  };

  export class Result extends jspb.Message {
    getDuplicated(): boolean;
    setDuplicated(value: boolean): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Result,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(
      message: Result,
      reader: jspb.BinaryReader
    ): Result;
  }

  export namespace Result {
    export type AsObject = {
      duplicated: boolean;
    };
  }
}

export class CaptchaRequest extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): CaptchaRequest.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: CaptchaRequest
  ): CaptchaRequest.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: CaptchaRequest,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): CaptchaRequest;
  static deserializeBinaryFromReader(
    message: CaptchaRequest,
    reader: jspb.BinaryReader
  ): CaptchaRequest;
}

export namespace CaptchaRequest {
  export type AsObject = {};
}

export class CaptchaResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): CaptchaResponse.Result | undefined;
  setResult(value?: CaptchaResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): CaptchaResponse.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: CaptchaResponse
  ): CaptchaResponse.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: CaptchaResponse,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): CaptchaResponse;
  static deserializeBinaryFromReader(
    message: CaptchaResponse,
    reader: jspb.BinaryReader
  ): CaptchaResponse;
}

export namespace CaptchaResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject;
    result?: CaptchaResponse.Result.AsObject;
  };

  export class Result extends jspb.Message {
    getSecurityCodeHash(): string;
    setSecurityCodeHash(value: string): void;

    getImage(): string;
    setImage(value: string): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Result,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(
      message: Result,
      reader: jspb.BinaryReader
    ): Result;
  }

  export namespace Result {
    export type AsObject = {
      securityCodeHash: string;
      image: string;
    };
  }
}

export class SigninRequest extends jspb.Message {
  getSecurityCodeHash(): string;
  setSecurityCodeHash(value: string): void;

  getSecurityCode(): string;
  setSecurityCode(value: string): void;

  getUsername(): string;
  setUsername(value: string): void;

  getPassword(): string;
  setPassword(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): SigninRequest.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: SigninRequest
  ): SigninRequest.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: SigninRequest,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): SigninRequest;
  static deserializeBinaryFromReader(
    message: SigninRequest,
    reader: jspb.BinaryReader
  ): SigninRequest;
}

export namespace SigninRequest {
  export type AsObject = {
    securityCodeHash: string;
    securityCode: string;
    username: string;
    password: string;
  };
}

export class SigninResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): SigninResponse.Result | undefined;
  setResult(value?: SigninResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): SigninResponse.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: SigninResponse
  ): SigninResponse.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: SigninResponse,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): SigninResponse;
  static deserializeBinaryFromReader(
    message: SigninResponse,
    reader: jspb.BinaryReader
  ): SigninResponse;
}

export namespace SigninResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject;
    result?: SigninResponse.Result.AsObject;
  };

  export class Result extends jspb.Message {
    getAccessToken(): string;
    setAccessToken(value: string): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Result,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(
      message: Result,
      reader: jspb.BinaryReader
    ): Result;
  }

  export namespace Result {
    export type AsObject = {
      accessToken: string;
    };
  }
}

export class SigninWithoutSecurityCodeRequest extends jspb.Message {
  getUsername(): string;
  setUsername(value: string): void;

  getPassword(): string;
  setPassword(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(
    includeInstance?: boolean
  ): SigninWithoutSecurityCodeRequest.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: SigninWithoutSecurityCodeRequest
  ): SigninWithoutSecurityCodeRequest.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: SigninWithoutSecurityCodeRequest,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): SigninWithoutSecurityCodeRequest;
  static deserializeBinaryFromReader(
    message: SigninWithoutSecurityCodeRequest,
    reader: jspb.BinaryReader
  ): SigninWithoutSecurityCodeRequest;
}

export namespace SigninWithoutSecurityCodeRequest {
  export type AsObject = {
    username: string;
    password: string;
  };
}

export class SigninWithoutSecurityCodeResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): SigninWithoutSecurityCodeResponse.Result | undefined;
  setResult(value?: SigninWithoutSecurityCodeResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(
    includeInstance?: boolean
  ): SigninWithoutSecurityCodeResponse.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: SigninWithoutSecurityCodeResponse
  ): SigninWithoutSecurityCodeResponse.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: SigninWithoutSecurityCodeResponse,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(
    bytes: Uint8Array
  ): SigninWithoutSecurityCodeResponse;
  static deserializeBinaryFromReader(
    message: SigninWithoutSecurityCodeResponse,
    reader: jspb.BinaryReader
  ): SigninWithoutSecurityCodeResponse;
}

export namespace SigninWithoutSecurityCodeResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject;
    result?: SigninWithoutSecurityCodeResponse.Result.AsObject;
  };

  export class Result extends jspb.Message {
    getAccessToken(): string;
    setAccessToken(value: string): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Result,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(
      message: Result,
      reader: jspb.BinaryReader
    ): Result;
  }

  export namespace Result {
    export type AsObject = {
      accessToken: string;
    };
  }
}
